<?php
namespace App\Controllers;

class Department extends BaseController{

    public function __construct()  
    { 
        $this->db = \Config\Database::connect(); 
          
    } 


public function create_department() {
   $department=$this->request->getpost('Department_Name');
   $shortcutName=$this->request->getpost('Shortcut_Name');
   $fund_name=$this->request->getpost('Fund_Name');
   $Head_of_account=$this->request->getpost('header_of_account');
   $Remarks=$this->request->getpost('Remarks');
   $created_at=date('y-m-d H-i-s');
   $created_by = session()->get('username');

   $file=$this->request->getFile('file');
   $newname = null; 
   if($file){
       $newname=$file->getRandomName();
       $file->move(ROOTPATH.'public/departmentLogo',$newname);
   }


$data=['department_name'=>$department,
'shortcut_name'=>$shortcutName,
'fund_name'=>$fund_name,
'head_of_account'=>$Head_of_account,
'remarks'=>$Remarks,
'department_logo'=>$newname,
'created_at'=>$created_at,
'created_by'=>$created_by
];


try {
    $builder=$this->db->table('department');
    if($builder->insert($data)){

        return $this->response->setJSON(['result'=>1,'message'=>'create project successfully']);
    }else{

        return $this->response->setJSON(['result'=>0,'message'=>'failed create project']);
    }

}catch(\Exception $e){
    return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
}
    

}


public function department_list_data() {
    try {
        
        $builder = $this->db->table('department');
        $builder->orderBy('created_at', 'DESC');
        $query = $builder->get();

        $data = $query->getResult();

        if ($data) {
            return $this->response->setJSON($data);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Failed to load data']);
        }
    } catch (\Exception $e) {
      
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}



public function department_delete($id){
    try {
        $builder = $this->db->table('department');
        $builder->where('id', $id);
        if ($builder->delete()) {
            return $this->response->setJSON(['result' => 1, 'message' => 'department deleted successfully']);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Failed to delete department']);
        }
    } catch (\Exception $e) {
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    } 
}

public function edit_department_data($id)
{
    try {
     
        $builder = $this->db->table('department');
        $builder->where('id', $id);
        $query = $builder->get();
        $data= $query->getResult();
        if ($data) {
            return $this->response->setJSON(['result' => 1, 'data' => $data]);
        } else { 
            return $this->response->setJSON(['result' => 0, 'message' => 'No data found']);
        }
    } catch (\Exception $e) {
       
        return $this->response->setJSON(['result' => 0, 'message' => $e->getMessage()]);
    }
}

public function update_department(){
    $department=$this->request->getpost('department_model');
    $id=$this->request->getpost('id');
    $shortcutName=$this->request->getpost('shortcut_model');
    $fund_name=$this->request->getpost('fund_model');
    $Head_of_account=$this->request->getpost('header_of_account');
    $Remarks=$this->request->getpost('remarks_model');
    $created_at=date('y-m-d H-i-s');
    $created_by = session()->get('username');
 
    $file = $this->request->getFile('file'); 
    $newname = null; 
if($file){
    $newname=$file->getRandomName();
    $file->move(ROOTPATH.'public/departmentLogo',$newname);
}


 $data=['department_name'=>$department,
'shortcut_name'=>$shortcutName,
'fund_name'=>$fund_name,
'head_of_account'=>$Head_of_account,
'remarks'=>$Remarks,
'department_logo'=>$newname,
'created_at'=>$created_at,
'created_by'=>$created_by
];


$builder = $this->db->table('department');
$builder->where('id', $id);
$update = $builder->update($data);

if ($update) {
    return $this->response->setJSON(['result' => 1, 'message' => 'Department updated successfully']);
} else {
    return $this->response->setJSON(['result' => 0, 'message' => 'Failed to update department']);
}
}

















}















?>