<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Nirmithi kendra</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="public/assets/css/font-awesome.min.css">
    <link rel="stylesheet" href="public/assets/css/loginpage.css">
    <!-- poppins fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">

        <script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
        <script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
        <link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
</head>
<style>

</style>

<body>

    <section class="loginpage">
        <div class="logindettails row">

            <div class="col-sm-7 login">
                <div class="loginform">
                    <img src="public/assets/images/Logo (1).png" alt="Nirmithi Kendra Logo" class="nirmithilogo">
                    <p class="nirmithitagline">How to i get started lorem ipsum dolor at?</p>
                    <form id="form">
                        <div class="inpfields">
                            <input type="text" placeholder="username" name="username" id="username" required>
                            <img src="public/assets/images/Frame-1.png" alt="usericon" class="inplogos">
                        </div>

                        <div class="inpfields">
                            <input type="password" placeholder="Password" name="password" id="password"
                                class="passwordinput" required>
                            <img src="public/assets/images/Frame.png" alt="password icon" class="inplogos">
                            <i class="fa fa-eye-slash" aria-hidden="true" id="togglepass"></i>
                        </div>

                        <button type="submit" class="loginbutton" id="log-btn">Log In</button>
                    </form>
                </div>
            </div>

            <div class="col-sm-5 loginimages">
                <img src="public/assets/images/Image 1.png" alt="constriucted housed images">
            </div>
        </div>

    </section>



</body>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.all.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.min.css" rel="stylesheet">
<script>
    document.addEventListener('DOMContentLoaded', function () {
        const eyechange = document.getElementById("togglepass");
        const togglepassword = document.querySelector(".passwordinput");

        eyechange.addEventListener("click", function () {
            if (togglepassword.type === "password") {
                togglepassword.type = "text";
                eyechange.classList.remove("fa-eye-slash");
                eyechange.classList.add("fa-eye")
            }
            else {
                togglepassword.type = "password";
                eyechange.classList.remove("fa-eye");
                eyechange.classList.add("fa-eye-slash")

            }
        })
    })
</script>


<script>
        $(document).ready(function () {
            $('#form').submit(function (e) {
                e.preventDefault()
                formdata = new FormData($(this)[0]);
                $('#log-btn').text('loding');
                $('#log-btn').attr('disabled', 'disabled');
                    $.ajax({
                        type: 'post',
                        url: '<?php echo base_url("login");?>',
                        data: formdata,
                        contentType: false,
                        processData: false,
                        success: function (response) {
                            // console.log(response);
                            if (response.result == 1) {
                                $("#log-btn").removeAttr('disabled');
                                $("#log-btn").text("Login");
                                $('#username').val('');
                                $('#password').val('');
                                Swal.fire({ icon: "success", title: response.message, showConfirmButton: false, timer: 1000, })
                                    .then(function () {
                                        if(response.role==0){
                                            window.location.href = "<?php echo base_url('dashboard');?>";
                                        }else if(response.role==1){
                                            window.location.href = "<?php echo base_url('dashboard');?>";
                                        }else{
                                            window.location.href = "<?php echo base_url('dashboard');?>";
                                        }
                                    })
                            } else if (response.result == 0) {
                                $("#log-btn").removeAttr('disabled');
                                $("#log-btn").text("Login");
                                Swal.fire({
                                    icon: "error",
                                    title: response.message
                                });
                            } else {
                                $("#log-btn").removeAttr('disabled');
                                $("#log-btn").text("Login");
                                Swal.fire({
                                    icon: "error",
                                    title: response.message
                                });
                            }

                        },
                        error: function (xhr, textStatus, errorThrown) {
                            console.error(xhr.responseText);
                        }
                    })
            
            })
    
        })
    
    </script>
</script>


</html>