<?php

namespace App\Controllers;

class Login extends BaseController
{
    public function __construct()  
    { 
        $this->db = \Config\Database::connect(); 
          
    } 
 
    public function sendCredentials($email, $password)
    {
        $emailService = \Config\Services::email();
    
   
        $emailService->setFrom('enquiry09.gta@gmail.com', 'Balraj');
        $emailService->setTo('kavyat7349@gmail.com');
        $emailService->setSubject('Your Login Credentials');
    
       
        $message = 'Dear User, <br> Here are your login details: <br>';
        $message .= 'Email: ' . $email . '<br>';
        $message .= 'Password: ' . $password . '<br><br>';
        $message .= 'Please log in and change your password for security.';
    
      
        $emailService->setMessage($message);
        $emailService->setMailType('html');
    

        if ($emailService->send()) {
           return redirect()->to('login');
        } else {
        
            $data = $emailService->printDebugger(['headers', 'subject', 'body']);
            return 'Failed to send credentials. Error: ' . $data;
        }
    }
    
    
        
        public function createUserAndSendCredentials()
        {
          
            $email = "kavyat7349@gmail.com";
            $password = "admin@123"; 
            $rolename="Super Admin";
            $username="kavya";
            $builder = $this->db->table('users');
            $data = [
                'email' => $email,
                'password' => $password,
                'role_name'=>$rolename,
                'username'=>$username,
                'role'=>0,
                'valid_user'=>1,
                'created_at'=> date('Y-m-d H:i:s'),

            ];
    
            if ( $builder->insert($data)) {
               
                return $this->sendCredentials($email,$password);
            } else {
                return 'Failed to create user';
            }
        }

    public function login()
    {
        $email = $this->request->getVar('username');
        $password = $this->request->getVar('password');

        if (!empty($email) && !empty($password)) {
            $builder = $this->db->table('users');
            $builder->where('email', $email);
            $builder->where('password', $password);
            $builder->where('valid_user', 1);
            $data = $builder->get()->getRow();
            
            if ($data) {
          
                $sessionData = array(
                    'id' => $data->id,
                    'username' => $data->username,
                    'email' => $data->email,
                    'role' => $data->role,
                    'role_name'=>$data->role_name,
                );
                session()->set($sessionData);

                $role = $data->role;
                return $this->response->setJSON(['result' => 1, 'message' => 'Login Successfully', 'role' => $role]);

            } else {
               
                $usernameCheck = $builder->where('email', $email)->get()->getRow();
                $passwordCheck = $builder->where('password', $password)->get()->getRow();

                if (!$usernameCheck && !$passwordCheck) {
                    return $this->response->setJSON(['result' => 2,
                     'message' => 'Invalid Email & Password']);
                } elseif (!$usernameCheck) {
                    return $this->response->setJSON(['result' => 2, 
                    'message' => 'Invalid Email']);
                } elseif (!$passwordCheck) {
                    return $this->response->setJSON(['result' => 3, 
                    'message' => 'Invalid Password']);
                } else {
                    return $this->response->setJSON(['result' => 4,
                     'message' => 'Please enter correctly']);
                }
            }
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Credentials cannot be empty']);
        }
    }
    
    
public function logout(){
    session()->destroy();
    return redirect()->to('/');
    
}



}
?>