<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
<script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
<link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>



<style>
    /* Styling for the table */
    table {
        width: 100%;
        border-collapse: collapse;
        text-align: left;
    }

    th, td {
        padding: 10px;
        border: 1px solid #ddd;
    }

    th {
        background-color: #f4f4f4;
        font-weight: bold;
    }

    tr:nth-child(even) {
        background-color: #f9f9f9;
    }


    .table-container {
        width: 100%;
        overflow-x: auto; 
    }

    /* Styling for totals and grand total row */
    .total-row {
        font-weight: bold;
        background-color: #e0e0e0;
    }

    
    h4{
      text-align:center;
        font-size:20px;
        margin-bottom:30px;
     margin-left:-150px;
        font-weight:bold;
        color:#4B0B0B;
    }
    /* Additional styles for responsive view */
    @media screen and (max-width: 768px) {
        th, td {
            font-size: 14px;
            padding: 8px;
        }

        .total-row th, .total-row td {
            font-size: 14px;
            padding: 8px;
        }
    }

    /* Table header fixed while scrolling */
    .table-container th {
        position: sticky;
        top: 0;
        background-color: #f4f4f4;
        z-index: 2;
    }
#reportTable{
    width:30%;
  
}
#reportTable, th, td {
  border-collapse: collapse;
 
}
#reportTable td{
padding:0px 10px;
border: 1px solid black;

}
#reportTable th{
padding:0px 10px;
border: 1px solid black;

}
#reportTable .width{
   padding:0px 150px;
}
  .heading{
      text-align:center;
        font-size:22px;
      margin-left:-150px;
        font-weight:bold;
        color:#4B0B0B;
        /*border:none !important;*/
    }
</style>

<section class="home-section fullpage">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">Reports</h1>
        </div>
    </div>
    <form id="report">
    <div class="row m-0">
        <div class="constuency_page"> 
            <div class="constuencydetails">
                <div class="constuencydetail row">
                    <div class="col-sm-2">
                        <label for="constituency" class="form-label inpfieldname">Constituency Name</label>
                        <select class="form-select form-control fieldsbox" id="constituency" name="constituency">
                            <option value=""></option>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <label for="mla" class="form-label inpfieldname">MLA/ MLC/MP</label>
                        <select class="form-select form-control fieldsbox" id="mla" name="mla">
                            <option value=""></option>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <label for="department" class="form-label inpfieldname">Department</label>
                        <select class="form-select form-control fieldsbox" id="department" name="department">
                            <option value=""></option>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <label for="year" class="form-label inpfieldname">Financial Year</label>
                        <select class="form-select form-control fieldsbox" id="year" name="year">
                        <option value="">Select</option>
                        <option value="2029-28">2028-29</option>
                        <option value="2028-27">2027-28</option>
                        <option value="2027-26">2026-27</option>
                        <option value="2026-25">2025-26</option>
                        <option value="2025-24">2024-25</option>
                        <option value="2024-23">2023-24</option>
                        <option value="2023-22">2022-23</option>
                        <option value="2022-21">2021-22</option>
                        <option value="2021-20">2020-21</option>
                        <option value="2020-19">2020-19</option>
                        <option value="2019-20">2019-20</option>
                        <option value="2018-19">2018-19</option>
                        <option value="2017-18">2017-18</option>
                        <option value="2016-17">2016-17</option>
                        </select>
                    </div>
                    <div class="col-sm-2">
                            <label for="Apm" class="form-label inpfieldname">APM</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="apm"  name="apm">
                                <option value=""></option>
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <label for="engineer" class="form-label inpfieldname">Engineer</label><br>
                            <select class="form-select form-control fieldsbox" aria-label="Default select example"
                                id="Engineer"  name="engineer">
                                <option value=""></option>
                            </select>
                        </div>
                </div>
            </div>
        </div>

        <div class="col-sm-6 buttns-cnl">
            <button type="submit" class="submit">Submit</button>
        </div>
    </div>
</form>

<!-- Table -->
<div class="container mt-4">
<button id="printBtn" class="btn btn-primary">Print</button>
<div class="table-container" id="reportContainer">

    <table class="table mt-3" id="reportTable">
        
        <thead>
            <tr>
              
                <td  colspan="10" class="heading">Mysore Nirmithi kendra</td>
            </tr>
            <tr>
                <td colspan="10" style="text-align:center">Heading</td>
            </tr>
            <tr>
                <th>SL NO</th>
                 <th class="width">Work Details</th>
                <th>Number</th>
                <th>Total Amount</th>
                <th>Release Amount</th>
                <th>Expenses</th>
                <th colspan="3">Work Stage</th>
                <th class="width">Remarks</th>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td></td>
                <td colspan="3">Lakhs in Rupees</td>
                <th>Working in Progress</th>
                <th>Completed</th>
                <th>Not Started</th>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td id="constituencyHeader">Constituency Name</td>
                <td id="projectNameHeader" colspan="8" style="text-align:center"></td>
            </tr>
        </thead>
        <tbody id="reportTableBody">
            <!-- Dynamic rows will be appended here -->
        </tbody>

    </table>
</div>
</div>

</div>

<script>
$(document).ready(function() {

    function fetchReport(formData = null) {

        $('#reportTableBody').empty();
        $('#totalAmount').text('0');
        $('#totalReleaseAmount').text('0');
        $('#totalExpenses').text('0');
        $('#workingInProgressCount').text('0'); 
        $('#completedCount').text('0');
        $('#notStartedCount').text('0');
        $('#totalSlNo').text('0'); // Add this to show total SL No

        let ajaxOptions = {
            url: "<?php echo base_url('get_report'); ?>", 
            type: 'POST',
            dataType: 'json',
            success: function(response) {
                console.log(response);

                if (response.result === 1) {
                    let constituencyName = $('#constituency option:selected').text();
                    $('#constituencyHeader').text(constituencyName);
                    let departmentGroups = {};

                    // Group rows by department
                    $.each(response.table, function(index, row) {
                        const departmentName = row.department_name;
                        if (!departmentGroups[departmentName]) {
                            departmentGroups[departmentName] = [];
                        }
                        departmentGroups[departmentName].push(row);
                    });

                    let totalOverall = 0, totalReleaseOverall = 0, totalExpenseOverall = 0;
                    let workingInProgressOverall = 0, completedOverall = 0, notStartedOverall = 0;
                    let totalSlNoOverall = 0; // Overall SL No total

                    // Loop through department groups
                    $.each(departmentGroups, function(departmentName, projects) {
                        let total = 0, totalRelease = 0, totalExpense = 0;
                        let workingInProgressCount = 0, completedCount = 0, notStartedCount = 0;
                        let totalSlNo = 0; // SL No total for each department

                        let departmentHeader = `
                            <tr>
                                <td colspan="10" style="text-align:center"><strong>${departmentName}</strong></td>
                            </tr>
                        `;
                        $('#reportTableBody').append(departmentHeader);

                        $.each(projects, function(index, project) {
                            let amount = parseFloat(project.Total_amount) || 0;
                            let releaseAmount = parseFloat(project.total_released_amount) || 0;
                            let expenses = parseFloat(project.total_expenditure) || 0;
                            let slNo = parseInt(project.sl_no) || 0; // SL No value
                            let workingStage = project.status.toLowerCase();

                            if (workingStage === 'completed') {
                                completedCount++;
                            } else if (workingStage === 'working in progress') {
                                workingInProgressCount++;
                            } else if (workingStage === 'not started') {
                                notStartedCount++;
                            }

                            let newRow = `
                                <tr>
                                    <td>${index + 1}</td>
                                    <td>${project.project_name}</td>
                                    <td>${slNo}</td>
                                    <td>${amount.toFixed(2)}</td>
                                    <td>${releaseAmount.toFixed(2)}</td>
                                    <td>${expenses.toFixed(2)}</td>
                                    <td>${workingInProgressCount}</td>
                                    <td>${completedCount}</td>
                                    <td>${notStartedCount}</td>
                                    <td>${project.remarks}</td>
                                </tr>
                            `;
                            $('#reportTableBody').append(newRow);

                            total += amount;
                            totalRelease += releaseAmount;
                            totalExpense += expenses;
                            totalSlNo += slNo; // Add SL No to department total
                        });

                        let totalsRow = `
                            <tr>
                                <th colspan="2"></th>
                                <th>${totalSlNo}</th> <!-- Show total SL No for department -->
                                <th>${total.toFixed(2)}</th>
                                <th>${totalRelease.toFixed(2)}</th>
                                <th>${totalExpense.toFixed(2)}</th>
                                <th>${workingInProgressCount}</th>
                                <th>${completedCount}</th>
                                <th>${notStartedCount}</th>
                                <td></td>
                            </tr>
                        `;
                        $('#reportTableBody').append(totalsRow);

                        totalOverall += total;
                        totalReleaseOverall += totalRelease;
                        totalExpenseOverall += totalExpense;
                        workingInProgressOverall += workingInProgressCount;
                        completedOverall += completedCount;
                        notStartedOverall += notStartedCount;
                        totalSlNoOverall += totalSlNo; // Add to overall SL No total
                    });

                    // Append the final grand totals for all departments
                    let grandTotalsRow = `
                        <tr style="font-weight:bold;">
                            <th colspan="2">Total</th>
                            <th>${totalSlNoOverall}</th> <!-- Show grand total SL No -->
                            <th>${totalOverall.toFixed(2)}</th>
                            <th>${totalReleaseOverall.toFixed(2)}</th>
                            <th>${totalExpenseOverall.toFixed(2)}</th>
                            <th>${workingInProgressOverall}</th>
                            <th>${completedOverall}</th>
                            <th>${notStartedOverall}</th>
                            <td></td>
                        </tr>
                    `;
                    $('#reportTableBody').append(grandTotalsRow);

                    $('#totalAmount').text(totalOverall.toFixed(2));
                    $('#totalReleaseAmount').text(totalReleaseOverall.toFixed(2));
                    $('#totalExpenses').text(totalExpenseOverall.toFixed(2));
                    $('#workingInProgressCount').text(workingInProgressOverall); 
                    $('#completedCount').text(completedOverall); 
                    $('#notStartedCount').text(notStartedOverall);
                    $('#totalSlNo').text(totalSlNoOverall); // Update total SL No display
                } else {
                    alert(response.message); 
                }
            },
            error: function(xhr, status, error) {
                console.error('AJAX error:', error);
            }
        };

        if (formData) {
            ajaxOptions['data'] = formData;
            ajaxOptions['processData'] = false;
            ajaxOptions['contentType'] = false;
        }

        $.ajax(ajaxOptions);
    }

    fetchReport();

    $('#report').submit(function(e) {
        e.preventDefault();
        let formData = new FormData(this);
        fetchReport(formData);
    });
});
</script>





    <script>
        $(document).ready(function () {
            $('#printBtn').click(function () {
                const { jsPDF } = window.jspdf;
                const doc = new jsPDF('p', 'pt', 'a4'); // Portrait mode, in points, A4 size
                const margin = 40; // 40 points margin

                // Reduce the scale to manage file size (adjustable)
                html2canvas(document.querySelector("#reportTable"), { scale: 1.5 }).then(function (canvas) {
                    // Convert canvas to a low-quality JPEG to keep size small
                    const imgData = canvas.toDataURL('image/jpeg', 0.5); // 50% quality for lower file size

                    // Calculate image width and height based on the canvas and PDF page size
                    const pageWidth = doc.internal.pageSize.getWidth() - margin * 2;
                    const imgWidth = pageWidth;
                    const imgHeight = (canvas.height * imgWidth) / canvas.width;

                    // Calculate the number of pages required if image height exceeds one page
                    const pageHeight = doc.internal.pageSize.getHeight() - margin * 2;
                    let position = margin; // Initial position (margin from the top)

                    // If the image height exceeds the page height, we split it into multiple pages
                    if (imgHeight > pageHeight) {
                        let totalPages = Math.ceil(imgHeight / pageHeight);
                        for (let i = 0; i < totalPages; i++) {
                            let sourceY = i * pageHeight;
                            let heightRemaining = imgHeight - (i * pageHeight);
                            let heightToRender = Math.min(heightRemaining, pageHeight);

                            doc.addImage(
                                imgData,
                                'JPEG',
                                margin,
                                margin,
                                imgWidth,
                                heightToRender,
                                null,
                                'FAST',
                                sourceY // Start from the correct Y position on the canvas
                            );

                            // Add new page for the next section, except for the last page
                            if (i < totalPages - 1) {
                                doc.addPage();
                            }
                        }
                    } else {
                        // If the image height fits on one page, just add it
                        doc.addImage(imgData, 'JPEG', margin, margin, imgWidth, imgHeight);
                    }

                    // Save the generated PDF
                    doc.save('report.pdf');
                });
            });
        });
    </script>






































<script>
    let arrow = document.querySelectorAll(".arrow");
    for (var i = 0; i < arrow.length; i++) {
        arrow[i].addEventListener("click", (e) => {
            let arrowParent = e.target.parentElement.parentElement;
            arrowParent.classList.toggle("showMenu");
        });
    }
    let sidebar = document.querySelector(".sidebar");
    let sidebarBtn = document.querySelector(".bx-menu");
    console.log(sidebarBtn);
    sidebarBtn.addEventListener("click", () => {
        sidebar.classList.toggle("close");
    });
</script>

<script>
        $(document).ready(function () {
        
        $.ajax({
            url: '<?php echo base_url("fetch-constituency"); ?>', 
            method: 'GET',
            success: function (response) {
                if (response.length > 0) {
                    var options = '<option value="">Select Constituency</option>'; 
                    $.each(response, function (key, value) {
                        options += `<option value="${value.id}">${value.constituency_name}</option>`;
                    });
                    $('#constituency').html(options); 
                } else {
                   console.log('No constituency found');
                }
            },
            error: function (xhr, status, error) {
                console.error("Error fetching constituency:", error);
            }
        });
        });
</script>

<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-department"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select Department</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.department_name}</option>`;
                });
                $('#department').html(options); 
            } else {
               console.log('No department found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching department:", error);
        }
    });
});

</script>

<script>
        $(document).ready(function () {
        
        $.ajax({
            url: '<?php echo base_url("fetch-mla"); ?>', 
            method: 'GET',
            success: function (response) {
                if (response.length > 0) {
                    var options = '<option value="">Select </option>'; 
                    $.each(response, function (key, value) {
                        options += `<option value="${value.id}">${value.mla}</option>`;
                    });
                    $('#mla').html(options); 
                } else {
                   console.log('No mla found');
                }
            },
            error: function (xhr, status, error) {
                console.error("Error fetching mla:", error);
            }
        });
        });
</script>


<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-apm"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select APM</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.first_name}</option>`;
                });
                $('#apm').html(options); 
            } else {
               console.log('No apm found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching apm:", error);
        }
    });
});
</script>

<script>
    $(document).ready(function () {
   
    $.ajax({
        url: '<?php echo base_url("fetch-engineer"); ?>', 
        method: 'GET',
        success: function (response) {
          
            if (response.length > 0) {
                var options = '<option value="">Select Engineer</option>'; 
               
                $.each(response, function (key, value) {
                    options += `<option value="${value.id}">${value.first_name}</option>`;
                });
                $('#Engineer').html(options); 
            } else {
               console.log('No Engineer found');
            }
        },
        error: function (xhr, status, error) {
            console.error("Error fetching engineer:", error);
        }
    });
});

</script>
<?php echo view('includes/footer'); ?>